<?php include_once("../lib/control.seguridad.php"); ?>
<?php


	$id = "";
	$rut = "";
	$pasaporte = "";		
	$nombre = "";
	$apellido = "";	
	$telefono = "";	
	$email = "";	
	$id_nacionalidad = "";	
	$marca = "";
	$id_pantalla = 0;	
	$usuario = "";	
	$contrasena = "";		
	$hide = "d-none";
	
    if($_POST){
        
		$hide = "";
		$url = 'http://200.24.13.60/~program1/power-time-api/public/obtenerpersona';
		$ch = curl_init($url); //create a new cURL resource
		$payload = json_encode(array('id' => $_POST["txtId"]));
		curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);//attach encoded JSON string to the POST fields
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json')); //set the content type to application/json
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); //return response instead of outputting
		$result = curl_exec($ch); //execute the POST request
        $array = json_decode($result);

		$id = $array[0]->id;
		$rut = $array[0]->rut;
		$pasaporte = $array[0]->pasaporte;		
		$nombre = $array[0]->nombre;	
		$apellido = $array[0]->apellido;			
		$telefono = $array[0]->telefono;
		$email = $array[0]->email;		
		$id_nacionalidad = $array[0]->id_nacionalidad;		
		$marca = $array[0]->marca;		
		$id_pantalla = $array[0]->id_pantalla;				
		$usuario = $array[0]->usuario;	
		$contrasena = $array[0]->contrasena;
		curl_close($ch); 


	}

?>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>POWERTIME</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css">
  
  <link href="../plugins/toastr/build/toastr.css" rel="stylesheet" type="text/css" />
  <!-- DataTables -->
  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.css">   
  <style>
	  #example{
		  font-size:11px;
	  }
	  #example2{
		  font-size:11px;
	  } 
	  #example3{
		  font-size:11px;
	  }
      label{
		  font-size:11px;		  
	  } 	  
      .dataTables_wrapper { font-size: 10px }	  
  </style>    
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
 
  <?php include_once("../inc/header.php"); ?>

  <?php include_once("../inc/menu.php"); ?>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row">
          <div class="col-sm-6">
            <h4>Turno Trabajador</h4>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content" id="app">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-header d-flex p-0">
					<h3 class="card-title p-3">Formulario Usuario</h3>
				</div>
				<div class="card-body">
				  <div class="form-group input-group-sm">
					<label>Rut :</label>
					<input type="text" class="form-control control-number" id="txtRut" readonly value="<?php echo $rut ?>" maxlength="13">
				  </div>			  
				  <div class="form-group input-group-sm">
					<label>Nombres:</label>
					<input type="text" class="form-control control-text txtToUpper" id="txtNombre" readonly value="<?php echo $nombre ." ".$apellido ?>">
				  </div>				  
				</div>
				<!-- /.card-body -->
				<div class="card-footer">
					<input type="hidden" class="form-control control-text" id="txtId" value="<?php echo $id ?>" readonly>					
				</div>
            </div>
          </div>
          <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="card">
				<div class="card-header d-flex p-0">
					<h3 class="card-title p-3">Turno Trabajador</h3>					
				</div>
				<div class="card-body">			
					  <div class="form-group input-group-sm">
						<label>Turno :</label>
						<select class="form-control" id="txtTurno">
							<option value="0">Seleccione...</option>
						</select>
					  </div>
					  <table id="example" class="table table-bordered table-striped">
						<thead>
						<tr>			
						  <th>TURNO</th>				
						  <th class="col-md-2"></th>					  
						</tr>
						</thead>			
					  </table>				  
				</div>
				<!-- /.card-body -->
				<div class="card-footer">			  
				</div>
            </div>
          </div>
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  
  <?php include_once("../inc/footer.php"); ?>

	<div id="modal-delete" class="modal" tabindex="-1" role="dialog">
	  <div class="modal-dialog" role="document">
		<div class="modal-content">
		  <div class="modal-header">
			<h5 class="modal-title">POWERTIME MENSAJE SISTEMA</h5>
			<button type="button" class="close" data-dismiss="modal" aria-label="Close">
			  <span aria-hidden="true">&times;</span>
			</button>
		  </div>
		  <div class="modal-body">
			<p>&iquest; Desea Eliminar Registro ?</p>
		  </div>
		  <div class="modal-footer">
			<button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
			<button type="button" class="btn btn-info" id="btn-confirmar">Confirmar</button>
		  </div>
		</div>
	  </div>
	</div>  
	
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="../plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="../dist/js/adminlte.min.js"></script>

<script src="../plugins/toastr/toastr.js"></script>
<!-- DataTables -->
<script src="../plugins/datatables/jquery.dataTables.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>

<script>

  $(function () {
	    

	  
    $('#example').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
	  "language": {
		"url": "//cdn.datatables.net/plug-ins/1.10.15/i18n/Spanish.json"
      } 		  
    });	  

	combo();
	function combo(){
	
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/turno",		
			success: function(dados)
			{
				for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){
						$('#txtTurno').append($('<option>', {
							value: dados[i][j].id,
							text : dados[i][j].descripcion
						}));
					}
				}
			}
		});
		
	}


	$("#txtTurno").change(function () {
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/ingresarturnopersona",
			data : JSON.stringify({
				id_persona:$("#txtId").val(),
				id_turno:$("#txtTurno").val()					
			}),
			success: function(data, textStatus, xhr) {
				if(parseInt(xhr.status) == 201){				
					toastr.success("Registro Ingresado Exitosamente", "POWERTIME");
					listarRegistro();
				}
			}
		})		

	});
	
	
	listarRegistro();
	function listarRegistro(){

		$('#example').dataTable().fnClearTable();

		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
            crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/turnopersona",
			data : JSON.stringify({
				id_persona:$("#txtId").val()					
			}),			
			success: function(dados)
			{
				 for (i=0;i<dados.length;i++){
					for (j=0;j<dados[i].length;j++){						
					  var boton = "<button type='button' class='btn btn-info btn-xs btn-eliminar'>Eliminar</button>";
					  $('#example').dataTable().fnAddData( [
						dados[i][j].descripcion,	
						boton  + "<input type='hidden' value ='"+dados[i][j].id+"' />"
					  ]);
					}
				}
			}
		});

	}
 
	var idEliminar;	
	$("#example").on('click','.btn-eliminar', function() {			
		$('#modal-delete').modal("show");
	    idEliminar = $(this).parents("tr").find("td:eq(1)").find("input").val();
	});		

	$("#btn-confirmar").click(function(){
		$.ajax({
			type:'POST',
			contentType: 'application/json',
			dataType: "json",
			crossDomain: true,
			headers: {
				'Content-Type': 'application/json'
			},
			url: "http://200.24.13.60/~program1/power-time-api/public/eliminarturnopersona",
			data : JSON.stringify({
				id:idEliminar,			
			}),
			success: function(data, textStatus, xhr) {
				if(parseInt(xhr.status) == 201){
					$('#modal-delete').modal("toggle");					
 
					listarRegistro();
				}
			}
		})		
	});
	
});	 	
  
</script>

</body>
</html>
